Subject: ANNOUNCE: new module Sort::PolySort released
From: [email-masked] (Daniel Macks)
Date: 24 Aug 1996 13:08:52 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I just released the brand-spankin'-new Sort::PolySort module.
It'll be on CPAN real soon, and it's also available at
ftp://ftp.netspace.org/pub/dmacks/perl/Sort-PolySort-0.12.tar.gz

Briefly, a Sort::PolySort object supports sorting @arrays by a variety of
human-readable forms: US or European dates, "First Middle Last" names by
last name, email addresses by domain, etc. From the SYNOPSIS: 

        use Sort::PolySort;
        $s=new Sort::PolySort;                  # defaults to 'name'
        @people=('John Doe','Jane Doll','John Quasimodo Doe');
        print join(", ",$s->sort(@people),"\n";

This is a beta version, with several slightly perverse routines.  I'll try
to fix up the internal parts after I get settled in my new apartment, but 
some folks wanted it now.

-- 
Daniel Macks
[email-masked]
http://www.netspace.org/~dmacks